Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon
Interface NonDelegatingURIResolver

All Superinterfaces:
  URIResolver

All Known Implementing Classes:
  PTreeURIResolver, StandardURIResolver, XomUriResolver

    public interface NonDelegatingURIResolver

extends URIResolver

This is a marker interface: if a URIResolver implements this interface and returns null from its resolve() method, then the standard URI resolver will not be invoked.

The main use case for this is to support protocols that the standard Java java.net.URL class does not recognize. In the case of doc-available(), we want to return false, rather than throwing an exception in such cases.

Method Summary

Methods inherited from interface javax.xml.transform.URIResolver
`resolve`

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Michael H. Kay. All rights reserved.